package com.changhu;

import com.changhu.module.management.pojo.params.ManagementSuperUserSaveOrUpdateParams;
import com.changhu.module.management.service.SuperService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @author 20252
 * @createTime 2024/10/30 上午11:23
 * @desc SuperUserInitTest...
 */
@SpringBootTest
public class SuperUserInitTest {

    @Autowired
    private SuperService superService;

    @Test
    public void initAdmin() {
        ManagementSuperUserSaveOrUpdateParams params = new ManagementSuperUserSaveOrUpdateParams();
        params.setName("超级管理员");
        params.setTelephone("15576404472");
        superService.saveOrUpdateUser(params);

    }
}
